
Redmine - Defect #18557

Hyperlink stripped from the text-html mimepart section of email footer

2014-12-03 22:44 - Scott Pestana

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

We're starting to deploy Redmine when a user pointed out that the address provided needed to be updated and should be a

hyperlink.  I created a normal a tag with an href that goes out in the text/plain section of the email but not the text/html section of the

email (which is what Thunderbird displays).  Is there some conversion / editing going on here?

Example:

To: undisclosed-recipients:;

----==_mimepart_547f7f622b402_2fb94315160474c9

Content-Type: text/plain;

charset=UTF-8

Content-Transfer-Encoding: 7bit

This is a test email sent by Redmine.

Redmine URL: https://---.---.com/---/redmine/

--

You have received this notification because you have either subscribed to it, or are involved in it.

To change your notification preferences, please click <a href="https://---.---com/---/redmine/my/account">here</a>.

----==_mimepart_547f7f622b402_2fb94315160474c9

Content-Type: text/html;

charset=UTF-8

Content-Transfer-Encoding: 7bit

<html>

<head>

<style>

... CSS omitted for space ...

</style>

</head>

<body>

<p>This is a test email sent by Redmine.<br />

Redmine URL: <a href="https://---.---.com/---redmine/">https://---.---.com/---/redmine/&lt;/a&gt;&lt;/p>

<hr />

<span class="footer"><p>You have received this notification because you have either subscribed to it, or are involved in it.<br>

To change your notification preferences, please click here.</p>

</span>

</body>

</html>

----==_mimepart_547f7f622b402_2fb94315160474c9--

And here's our information page:

Redmine 2.5.2.stable

Default administrator account changed     True

Attachments directory writable     True

Plugin assets directory writable     True

RMagick available (optional)     True

ImageMagick convert available (optional)     True
https://---.---.com/---/redmine/
https://---.---.com/---/redmine/&lt;/a&gt;&lt;/p


Environment:

Redmine version                2.5.2.stable

Ruby version                   1.9.3-p547 (2014-05-14) [x86_64-linux]

Rails version                  3.2.19

Environment                    production

Database adapter               Mysql2

SCM:

Subversion                     1.6.11

Mercurial                      2.4

Git                            1.7.1

Filesystem

Redmine plugins:

readme_at_repositories         0.2.1

redmine_agile                  1.3.3

redmine_backlogs               v1.0.6

redmine_contacts               3.3.0

redmine_contacts_helpdesk      2.2.12

redmine_ldap_sync              2.0.3

History

#1 - 2014-12-03 22:46 - Scott Pestana

To try to clarify, I'm talking about the footer of email notifications.

#2 - 2015-01-02 05:10 - Toshi MARUYAMA

- Subject changed from Hyperlink stripped from the text-html mimepart section of email to Hyperlink stripped from the text-html mimepart section of

email footer
